CHANGES IN VERSION 1.7.13
-------------------------
 o use donttest instead of dontrun [2015-04-09 Thu]
 
CHANGES IN VERSION 1.7.12
-------------------------
o don't run knntl example to reduce checking time and timeout on
  Windows [2015-04-08 Wed]
 
CHANGES IN VERSION 1.7.11
-------------------------
 o fix splitTh, closes issue #49 [2015-04-06 Mon]

CHANGES IN VERSION 1.7.10
-------------------------

 o Change in vignette to work on zin1: using 12 random th rows. See
 issue #49 for details. Fixed in version 1.7.11. [2015-04-03 Fri]

CHANGES IN VERSION 1.7.9
------------------------
 o updated tl vignette [2015-04-02 Thu]
 o depending on latest (1.5.8) pRolocdata [2015-04-02 Thu]

CHANGES IN VERSION 1.7.8
------------------------
 o updating tl vig [2015-04-02 Thu]
 o update getParams documentation [2015-04-02 Thu]
 
CHANGES IN VERSION 1.7.7
------------------------
 o renaming theta.scores to knntl.scores [2015-03-24 Tue]
 
CHANGES IN VERSION 1.7.6
------------------------
 o added the theta inductive transfer infrastructure [2015-02-05 Thu]
 o theta vignette stub [2015-02-06 Fri]
 o rename getClasses to getMarkerClasses [2015-02-06 Fri]
 o added the infrastructure to create GO MSnSet [2015-02-07 Sat]
 o Fixed ml vignette [2015-02-16 Mon]
 o new filterZeroRows function [2015-03-10 Tue]
 o hpa data section [2015-03-10 Tue]
 o theta sections [2015-03-10 Tue]
 o deprecate getRegulari[z|s]edParams [2015-03-11 Wed]
 
CHANGES IN VERSION 1.7.5
------------------------
 o Fix vignettes: run bibtex and pdflatex twice and typo
   [2015-02-03 Tue]
 
CHANGES IN VERSION 1.7.4
------------------------
 o Use default Sweave call to build vignette [2015-01-24 Sat]
 
CHANGES IN VERSION 1.7.3
------------------------
 o use Biocstyle [2015-01-23 Fri]
 o replace library/require by requireNamespace [2015-01-23 Fri]
 
CHANGES IN VERSION 1.7.2
------------------------
 o added t-SNE method to plot2D [2015-01-14 Wed]
 o Updated NAMESPACE imports [2015-01-14 Wed]

CHANGES IN VERSION 1.7.1
------------------------
 o updated vignettes with markers.orig [2014-10-30 Thu]
 o updated ml tests [2014-10-30 Thu]

CHANGES IN VERSION 1.7.0
------------------------
 o new devel version, Bioc 3.1

CHANGES IN VERSION 1.6.0
------------------------
 o new stable version, Bioc 3.0

CHANGES IN VERSION 1.5.19
-------------------------
 o added Video tag in DESCRIPTION [2014-10-07 Tue]

CHANGES IN VERSION 1.5.18
-------------------------
 o HUPO 2014 poster [2014-01-02 Thu]

CHANGES IN VERSION 1.5.17
-------------------------
 o fix 'replacing previous import by MLInterfaces::plot when loading
   pRoloc' warning by using specific importFrom [2014-09-27 Sat]

CHANGES IN VERSION 1.5.16
-------------------------
 o new pRolocGUI section [2014-08-15 Fri]
 o new foi section [2014-08-16 Sat]

CHANGES IN VERSION 1.5.15
-------------------------
 o svmOpt sigma defaults changed from 10^(-2:3) to 10^(-3:2)
   [2014-08-15 Fri]
 o in xxxOptimisation, the best parameter(s) for the validation
   classification runs are now chosen at random instead of using the
   first best param (see change in pRoloc:::getBestParam that got a
   sample argument defaulted to TRUE) [2014-08-15 Fri]

 o When calculating macroF1 scores (xval and validation), NAs are set
   to 0 (via MLInterfaces:::.macroF1(..., naAs0 = TRUE)). The macro F1
   will not be NA (when mean of F1s is calculated) but lowered. This
   avoids having an NA macro F1 when 1 (or more) classe(s) end(s) up
   with NA (also set to 0) precision(s) or recall(s) [2014-08-15 Fri]

CHANGES IN VERSION 1.5.14
-------------------------
 o add title to plotDist figures [2014-08-13 Wed]

CHANGES IN VERSION 1.5.13
-------------------------
 o none 

CHANGES IN VERSION 1.5.12
-------------------------
 o support mirrorX/mirrorY in highlightOnPlot [2014-07-22 Tue]

CHANGES IN VERSION 1.5.11
-------------------------
 o Remove plot2D outliers param [2014-07-10 Thu]
 o fix subsetAsDataFrame for keepColNames and write unit test
   [2014-07-11 Fri]

CHANGES IN VERSION 1.5.10
-------------------------
 o alias lopims4 function [2014-07-01 Tue]

CHANGES IN VERSION 1.5.9
------------------------
 o Export single steps of lopims [2014-06-23 Mon]
 o Rephrase classifier parameter optimisation proceudres [2014-06-23 Mon]

CHANGES IN VERSION 1.5.8
------------------------
 o nndistx_matrix function added to allow use of query matrix
   when calculating knn distances [2014-06-18 Wed]
 o nndist[x]_[matrix|msnset] are now available using the experted
   nndist method [2014-06-18 Wed]
 o markerSet and unknownSet renamed to markerMSnSet and unknownMSnSet
   [2014-06-19 Thu]
 o functions sampleMSnSet and testMSnSet added [2014-06-19 Thu]
 o fix keepColNames in pRoloc:::subsetAsDataFrame - fcol was 
   always renamed to "markers" [2014-06-19 Thu]

CHANGES IN VERSION 1.5.7
------------------------
 o add recommended biocView [2014-06-05 Thu]

CHANGES IN VERSION 1.5.6
------------------------
 o addMarkers has a new mcol argument to set the markers feature
   variable label [2014-05-29 Thu]

CHANGES IN VERSION 1.5.5
------------------------
 o replaced MSVBAR::rmultnorm with mvtnorm::rmvnorm since the former
   has been removed from CRAN and don't import [2014-05-21 Wed]
 o Bug tracking [2014-05-26 Mon]

CHANGES IN VERSION 1.5.4
------------------------
 o testMarkers gets an error argument [2014-05-14 Wed]
 o plotDist now has a ylim argument [2014-05-21 Wed]
 
CHANGES IN VERSION 1.5.3
------------------------
 o import all MLInterfaces [2014-04-30 Wed]
 o new param optim secion in ml vignette [2014-05-05 Mon]
 o various ml typos and pRolocmakers man update [2014-05-06 Tue]

CHANGES IN VERSION 1.5.2
------------------------
 o In plotDist, ... is now passed to matlines instead of plot and has
   a new lty parameter [2014-04-17 Thu]
 o new highlightOnPlot function, using the new features of interest
   infrastructure [2014-04-29 Tue]

CHANGES IN VERSION 1.5.1
------------------------
 o new dunkley2006 pdunit object created with mclust 4.3
   [2014-04-08 Tue]
 o addMarker also accepts fcol and addMarkers unit test
   [2014-04-14 Mon]

CHANGES IN VERSION 1.5.0
------------------------
 o Bioc devel 3.0

CHANGES IN VERSION 1.4.0
------------------------
 o Bioc release 2.14

CHANGES IN VERSION 1.3.19
-------------------------
 o fixed error introduced with mclust 4.3 (that now returns the data
   in the Mclust output - see comment in pRoloc:::gmmOutliers for
   details) [2014-04-07 Mon]
 
CHANGES IN VERSION 1.3.18
------------------------- 
 o getPredictions can take class-specific scores [2014-04-04 Fri]

CHANGES IN VERSION 1.3.17
------------------------- 
 o fixed newly introduced bug (see 1.3.16) in
   pRoloc:::subsetAsDataFrame - thank you unit tests for saving me,
   again [2014-03-26 Wed]

CHANGES IN VERSION 1.3.16
-------------------------
 o pRoloc:::subsetAsDataFrame now preserved original sample/column
   names [2014-03-24 Mon]
 o fixed wrong message when using col and pch in plot2D
   [2014-03-25 Tue]

CHANGES IN VERSION 1.3.15
-------------------------
 o updated pRolocmarkers("mmus") [2014-03-21 Fri]
 o moved extdata/*csv to pRolocdata [2014-03-23 Sun] 
 o using *csv from pRolocdata [2014-03-23 Sun] 

CHANGES IN VERSION 1.3.14
-------------------------
 o deleted tab character [2014-03-15 Sat]
 o added support for GMM parametrisation to phenoDisco [2014-03-17 Mon]
 o message instead of warning when using colour and pch [2014-03-21 Fri]
 o remove 1 duplicated mouse marker [2014-03-21 Fri]

CHANGES IN VERSION 1.3.13
-------------------------
 o fixed a bug in addLegend [2014-03-14 Fri]
 o updated testing to testthat 0.8 [2014-03-14 Fri]
 o Fixing several warnings about symnbols being replaced upon pRoloc
   loading and note about usage of ::: [2014-03-15 Sat]

CHANGES IN VERSION 1.3.12
-------------------------
 o added phenoDisco2 for testing, allows choice of GMM 
   parameters [2014-02-26 Wed]
 o removed duplicated fly markers [2014-02-28 Fri]
 o updated affiliations in vignettes [2014-03-10 Mon]

CHANGES IN VERSION 1.3.11
-------------------------
 o modify to new biocViews to DESCRIPTION file by s.arora [2014-03-04]

CHANGES IN VERSION 1.3.10
-------------------------
 o new phenoDisco ndims argument to use more than two two principal
   components as input for discovery analysis [2014-01-03 Mon] 
 o fixed and updated phenoDisco logging [2014-02-03 Mon]
 o added support for parallel phenoDisco execution. See BPPARAM
   argument [2014-02-03 Mon]
 o fixed issues with using PD and ndims [2014-02-10 Mon]
 o fixed call to anyUnknown in PD code [2014-02-10 Mon]
 o checking if duplicated markers in addMarkers [2014-02-14 Fri]

CHANGES IN VERSION 1.3.9
------------------------
 o bump to force rebuild for new Rcpp 

CHANGES IN VERSION 1.3.8
------------------------
 o Removed trailing space in mmus nucleus markers [2014-01-21 Tue]
 o using filterNA to remove features with missing values 
   in plot2D [2014-01-21 Tue]
 o fixed plot2D/addLegend [2014-01-23 Thu]

CHANGES IN VERSION 1.3.7
------------------------
 o fixed addLegend to use correct colours (order) [2014-01-20 Mon]
 o fix typo in addMarkers man [2014-01-20 Mon]
 o re-arranged stockpch so that interleave full and empty 
   plotting character [2014-01-20 Mon]
 0 Removed last stockcol (tomato), too cose to "#FF7F00" [2014-01-20 Mon]

CHANGES IN VERSION 1.3.6
------------------------
 o updated human markers: keep new pd.markers phenotypes, 
   validated by Lisa and remove singletons [2014-01-14 Tue]
 o first stockpch is noe 19 [2014-01-16 Thu]
 o plot2D(.., pch) now taken into account for labelled 
   data [2014-01-16 Thu]
 o removed alpha plot2D argument [2014-01-17 Fri]
 o updated plot2D and addLegend function with support for more 
   organelle groups than colours. The previous versions are 
   available as plot2D_v1 and addLegend_v1. [2014-01-17 Fri]

CHANGES IN VERSION 1.3.5
------------------------
 o pRoloc citation [2014-01-12 Sun]

CHANGES IN VERSION 1.3.4
------------------------
 o new unknownSet function [2013-12-11 Wed]
 o updated vignettes to account for tan2009r1 changes [2013-12-16 Mon]

CHANGES IN VERSION 1.3.3
------------------------
 o update citation in phenoDisco.Rd [2013-11-22 Fri]
 o typos in vignettes [2013-11-25 Mon]

CHANGES IN VERSION 1.3.2
------------------------
 o new markers [2013-11-06 Wed]
 o markers in vinette [2013-11-15 Fri]
 o mouse markers [2013-11-18 Mon]

CHANGES IN VERSION 1.3.1
------------------------
 o using combineFeatures(..., na.rm=TRUE) in lopims pipeine [2013-10-22 Tue]
 o corrected spelling errors in phenoDisco doc [2013-10-29 Tue]

CHANGES IN VERSION 1.3.0
------------------------
 o next devel version fot Bioc 2.14

CHANGES IN VERSION 1.1.8
------------------------
 o semi-sup and sup comparison sections in ml vig [2013-10-09 Wed]

CHANGES IN VERSION 1.1.7
------------------------
 o getMarkers has names arg [2013-10-01 Tue]

CHANGES IN VERSION 1.1.6
------------------------
 o new outliers arg to plot2D [2013-09-23 Mon]
 o cite addMarkers in vignette [2013-09-26 Thu]
 o add code chunk in poster vig [2013-09-26 Thu]

CHANGES IN VERSION 1.1.5
------------------------
 o added biocViews [2013-09-19 Thu]
 o added knitr vig engine in ml [2013-09-19 Thu]
 o import dependencies [2013-09-20 Fri]

CHANGES IN VERSION 1.1.4
------------------------
 o building ml vignette in Makefile [2013-09-11 Wed]

CHANGES IN VERSION 1.1.3
------------------------
 o new private anyUnknown function, used in phenoDisco, to check 
   for the presence of unlabelled ('unknown') data [2013-08-27 Tue]
 o added a note in vignette about "unknown" convention to define 
   protein with unknown localisation [2013-08-28 Wed]
 o Added HUPO 2011 poster [2013-09-09 Mon]

CHANGES IN VERSION 1.1.2
------------------------
 o fixed Author[s]@R [2013-05-16 Thu]
 o na.rm=TRUE in f1Count [2013-05-19 Sun]
 o added CITATION file [2013-06-07 Fri]
 o new testMarkers function [2013-06-29 Sat]
 o error message in getBestParams suggests to use testMarkers [2013-06-29 Sat]
 o nndist methods (see issue #23) [2013-07-01 Mon]
 o remove unnecessary as.matrix in plot2D's cmdscale [2013-07-19 Fri]
 o added plot2D(..., method = "MDS") example [2013-07-19 Fri]
 o changed 'euclidian' to 'euclidean' in nndist_matrix [2013-07-26 Fri]
 o fixed row ordering in phenoDisco, input and output rownames are now the same [2013-08-13 Tue]
 o Using filterNA in phenoDisco [2013-08-13 Tue]

CHANGES IN VERSION 1.1.1
------------------------
 o Update README.md to reflect availability in stable release 
   and biocLite installation [2013-04-07 Sun]
 o new MSe pipeline [2013-04-07 Sun]
 o perTurbo using Rcpp [2013-04-16 Tue]
 o initial clustering infrastructure (not exported) [2013-04-17 Wed]
 o new markerSet function [2013-04-24 Wed]
 o plsaOptim's ncomp is now 2:6 [2013-04-27 Sat]
 o added forword to vignette [2013-04-29 Mon]
 o default k is now seq(3, 15, 2) in knnOptim [2013-05-09 Thu]

CHANGES IN VERSION 1.1.0
------------------------
 o Bioc 2.13 devel version bump

CHANGES IN VERSION 1.0.0
------------------------
 o Bioc 2.12 stable version bump

CHANGES IN VERSION 0.99.17
--------------------------
 o illustrating class.weights in the 
   vignette [2013-03-24 Sun]

CHANGES IN VERSION 0.99.16
--------------------------
 o new addMarkers function [2013-03-22 Fri]

CHANGES IN VERSION 0.99.15
--------------------------
 o Fixing issues in vignette [2013-03-22 Fri]

CHANGES IN VERSION 0.99.14
--------------------------
 o Added scale in tutorial [2013-03-02 Sat]
 o implemented viction [2013-03-09 Sat]
 o New vignette section on phenoDisco follow 
   up classification [2013-03-19 Tue]
 o Using knitr engine [2013-03-19 Tue]

CHANGES IN VERSION 0.99.13
--------------------------
 o depending on MSnbase ]= 1.7.23 as makeNaData 
   needs MSnbase:::nologging [2013-02-27 Wed]
 o updated phenoDisco parameters, added error messages when an 
   insufficient number of markers per class and/or number of
   classes are used and updated phenoDisco help file [2012-02-28 Thu]
 o added first belief diffscores function [2013-03-01 Fri]

CHANGES IN VERSION 0.99.12
--------------------------
 o plot2D has gained a plot argument [2013-02-19 Tue]
 o new f1Count method [2013-02-20 Wed]
 o new makeNaData function [2013-02-20 Wed]
 o new makeNaData2 function [2013-02-21 Thu]
 o new whichNAfunction [2013-02-20 Wed]
 o updated tutorial vignette [2013-02-20 Wed]
 o Now passing ... to predictor functions in 
   xxxClassification (reported by Marianne Sandin) [2013-02-26 Tue]

CHANGES IN VERSION 0.99.11
--------------------------
 o setUnknowncol(NULL) and friedns reset to default 
   values [2013-02-19 Tue]

CHANGES IN VERSION 0.99.10
--------------------------
 o new default col/pch setters [2013-02-16 Sat]

CHANGES IN VERSION 0.99.9
-------------------------
 o Updates to phenoDisco: verbose param, fixed error in example, 
   adding params to processingInfo [2013-02-11 Mon] 
 o Unexported getOtherParams method [2013-02-12 Tue]
 o adding export param documentation [2013-02-12 Tue]

CHANGES IN VERSION 0.99.8
-------------------------
 o Integration of the perTurbo algorithms, contributed 
   by Thomas Burger and Samuel Wieczorek [2013-01-18 Fri]
 o summariseMatList now has na.rm = TRUE by default [2013-01-19 Sat]
 o PerTurbo's inv/reg now as other hyperparams [2013-02-11 Mon]

CHANGES IN VERSION 0.99.7
-------------------------
 o knitr 1.0 compatibility [2013-01-15 Tue]
 o Updated phenoDisco documentation and README [2013-01-10 Thu]

CHANGES IN VERSION 0.99.6
-------------------------
 o removed updateClass man [2013-01-03 Thu]
 o removed old Rd files [2013-01-03 Thu]
 o Deprecating *Regularisation and *Prediction function [2013-01-03 Thu]
 o Updated new names in test_ml.R [2013-01-04 Fri]

CHANGES IN VERSION 0.99.5
-------------------------
 o more reg data into GenRegRes objects 
   - cmMatrices (knn) [2012-11-15 Thu] (other) [2012-11-30 Fri]
   - testPartitions (knn) [2012-11-17 Sat] (other) [2012-11-30 Fri]
 o new minMarkers function [2012-11-16 Fri]
 o renamed updateClass to minClassScore [2012-11-16 Fri]
 o renamed xxxRegularisation to xxxOptimisation [2012-11-30 Fri]
 o renamed xxxPrediction to xxxClassification [2012-11-30 Fri]
 o renamed getRegularisedParams to getParams [2012-11-30 Fri]
 o moved exprsToRatios to MSnbase [2012-12-05 Wed]
 o updated phenoDisco help file [2012-12-07 Fri]
 o updated phenoDisco code to cope with identical protein profiles [2012-12-07 Fri]

CHANGES IN VERSION 0.99.4
-------------------------
 o Adding README file describing Rd generation
   and suggesting roxygen2 [2012-11-14 Wed]
 o Added scol=NULL to ignore completely [2012-11-14 Wed]

CHANGES IN VERSION 0.99.3
-------------------------
 o pdres in extdata - updated vignette [2012-11-14 Wed]
 o udpated pd's GS/times default [2012-11-14 Wed]

CHANGES IN VERSION 0.99.2
-------------------------
 o fixed MLearn("formula", "MSnSet", "clusteringSchema", 
   "missing") - interface was wrong [2012-11-10 Sat]
 o vignette updates [2012-11-10 Sat] [2012-11-11 Sun]
 o nicer knn score names when scores = "all" [2012-11-11 Sun]

CHANGES IN VERSION 0.99.1
-------------------------
 o updated exprsToRatio when ncol(object) is 2 [2012-11-05 Mon]
 o typos in vignette [2012-11-09 Fri] [2012-11-10 Sat]
 o new MLearn method for signature 
   c("formula", "MSnSet", "clusteringSchema", "missing") [2012-11-09 Fri]
 o Several vignette udpates [2012-11-10 Sat]

CHANGES IN VERSION 0.99.0
-------------------------
 o Submission to Bioc [2012-11-04 Sun]
